Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1196559 - wrong path to document root in httpd.conf
Summary: wrong path to document root in httpd.conf
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Software Collections
Classification: Red Hat
Component: httpd
Version: httpd24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 2.0
Assignee: Jan Kaluža
QA Contact: Ondřej Pták
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-26 09:48 UTC by Martin Frodl
Modified: 2015-06-04 09:13 UTC (History)
3 users (show)

Fixed In Version: httpd24-httpd-2.4.12-3.el6 httpd24-httpd-2.4.12-5.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-04 09:13:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:1056 0 normal SHIPPED_LIVE httpd24 bug fix and enhancement update 2015-06-04 13:11:57 UTC

Description Martin Frodl 2015-02-26 09:48:22 UTC
Description of problem:

This is line 131 in default /opt/rh/httpd24/root/etc/httpd/conf/httpd.conf:

  <Directory "/opt/rh/httpd24/root/var/html">

The path to document root in the <Directory> directive is incorrect, it should in fact be:

  <Directory "/opt/rh/httpd24/root/var/www/html">

One of the very unpleasant effects of the current default configuration is the unavailability of directory listing per mod_autoindex.


Version-Release number of selected component (if applicable):
httpd24-httpd-2.4.12-4.el7.x86_64

Comment 1 Jan Kaluža 2015-02-26 11:15:46 UTC
Good catch! I will try to fix it in rhscl-2.0.

Comment 4 Ondřej Pták 2015-05-04 18:53:18 UTC
httpd24-httpd-2.4.6-25.el7
==========================
:: [   PASS   ] :: Command 'curl -D header.log http://127.0.0.1/dir/ -o page' (Expected 0, got 0)
:: [   FAIL   ] :: File 'header.log' should contain '200 OK' 
:: [   FAIL   ] :: File 'header.log' should not contain '403' 
:: [   FAIL   ] :: File 'page' should contain 'Index of /dir' 
:: [   FAIL   ] :: File 'page' should contain 'test_file.txt'


httpd24-httpd-2.4.12-3.el6, httpd24-httpd-2.4.12-6.el7
======================================================
:: [   PASS   ] :: Command 'curl -D header.log http://127.0.0.1/dir/ -o page' (Expected 0, got 0)
:: [   PASS   ] :: File 'header.log' should contain '200 OK' 
:: [   PASS   ] :: File 'header.log' should not contain '403' 
:: [   PASS   ] :: File 'page' should contain 'Index of /dir' 
:: [   PASS   ] :: File 'page' should contain 'test_file.txt'

# grep /opt/rh/httpd24/root/var /opt/rh/httpd24/root/etc/httpd/conf/httpd.conf|grep html
DocumentRoot "/opt/rh/httpd24/root/var/www/html"
<Directory "/opt/rh/httpd24/root/var/www/html">

Comment 6 errata-xmlrpc 2015-06-04 09:13:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-1056.html


Note You need to log in before you can comment on or make changes to this bug.